<div class="container">
  <form (ngSubmit)="guardar()" #forma="ngForm"> 
  <div class="crow">
    <h2>Correo Electrónico</h2>
  </div>

  <div class="crow">
    <input type="text"
    class="textbox"
    placeholder="Escribir Correo Electronico..."
    name="email"
    [(ngModel)]="persona.correo"
    required
    minlength="15"
    #email="ngModel"
    [class.is-invalid]="email.invalid && email.touched"
    pattern="^(([^<>()\[\]\.,;:\s@\”]+(\.[^<>()\[\]\.,;:\s@\”]+)*)|(\”.+\”))@(([^<>()[\]\.,;:\s@\”]+\.)+[^<>()[\]\.,;:\s@\”]{2,})$"
    >
    <small class="text-danger" *ngIf="email.valid && email.touched">
            El correo es valido
           </small>
      
  </div><br>

  <div class="crow">
    <button type="submit" [disabled]="!forma.valid">Verificar</button>
    <small></small>
  </div>
</form>
</div>